Bug 17438 - the term "hand authored" is undefined and ambiguous
the term "hand authored" is undefined and ambiguous
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
: a11y_text-alt
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 14:48 UTC by Michael[tm] Smith
Modified: 2012-09-28 14:22 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael[tm] Smith 2012-06-07 14:48:53 UTC
The specification introduces the authoring-conformance constraint that a meta generator element must not be used on "hand-authored" pages. However, it does not define what a "hand-authored" page is, and the definition of that term is not obvious.
Comment 1 contributor 2012-07-18 07:10:31 UTC
This bug was cloned to create bug 17876 as part of operation convergence.
Comment 2 Robin Berjon 2012-09-18 12:27:31 UTC
I can't find this in the spec — is it still open?
Comment 3 steve faulkner 2012-09-18 12:45:09 UTC
(In reply to comment #2)
> I can't find this in the spec — is it still open?

think it was dealt with here https://github.com/w3c/html/commit/151feec6e34378f13edd279a0c9f7392016dfd24
Comment 4 Robin Berjon 2012-09-18 12:58:53 UTC
I thought that was the case, thanks Steve!

EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Rationale: The spec has already changed to address this concern as part of a larger one.
Comment 5 Silvia Pfeiffer 2012-09-28 09:37:01 UTC
The WHATWG spec made some clarifications on the "hand-authored" text. Do we want to adopt that?

https://github.com/w3c/html/commit/44081c783e869419053d6618b8154ad16b483abf
Comment 6 steve faulkner 2012-09-28 09:50:50 UTC
(In reply to comment #5)
> The WHATWG spec made some clarifications on the "hand-authored" text. Do we
> want to adopt that?
> 
> https://github.com/w3c/html/commit/44081c783e869419053d6618b8154ad16b483abf

the new changes do not make it any clearer as many HTML editing applications have both WYSIWYG and code editing features ( for example: dreamweaver or the default wordpress editor). So there is no way to determine if some or all of the HTML has been 'hand authored'.
Comment 7 Silvia Pfeiffer 2012-09-28 14:22:16 UTC
Note: I'm not asking for it to replace the issue-206 commit - just to add to it.

Could also be further clarified.